Loading...
Searching...
No Matches
Opm::PvsRateVector< TypeTag > Class Template Reference

Implements a vector representing molar, mass or volumetric rates. More...

`#include <pvsratevector.hh>`

Inheritance diagram for Opm::PvsRateVector< TypeTag >:

## Public Member Functions

| PvsRateVector (const Evaluation &value)
| PvsRateVector (const PvsRateVector &value)=default
| Copy constructor.
void | setMassRate (const ParentType &value)
| Set a mass rate of the conservation quantities.
void | setMolarRate (const ParentType &value)
| Set a molar rate of the conservation quantities.
template<class RhsEval>
void | setEnthalpyRate (const RhsEval &rate)
| Set an enthalpy rate [J/As] where .
template<class FluidState, class RhsEval>
void | setVolumetricRate (const FluidState &fluidState, unsigned phaseIdx, const RhsEval &volume)
| Set a volumetric rate of a phase.
template<class RhsEval>
PvsRateVector & | operator= (const RhsEval &value)
| Assignment operator from a scalar or a function evaluation.
PvsRateVector & | operator= (const PvsRateVector &other)
| Assignment operator from another rate vector.

## Detailed Description

template<class TypeTag>
class Opm::PvsRateVector< TypeTag >

Implements a vector representing molar, mass or volumetric rates.

This class is basically a Dune::FieldVector which can be set using either mass, molar or volumetric rates.

## Constructor & Destructor Documentation

## PvsRateVector() [1/2]

template<class TypeTag>

Opm::PvsRateVector< TypeTag >::PvsRateVector | ( | const Evaluation & | value | ) |

inline explicit

## PvsRateVector() [2/2]

template<class TypeTag>

Opm::PvsRateVector< TypeTag >::PvsRateVector | ( | const PvsRateVector< TypeTag > & | value | ) |

default

Copy constructor.

Parameters

  value | The rate vector that will be duplicated.

## Member Function Documentation

## setEnthalpyRate()

template<class TypeTag>
template<class RhsEval>

void Opm::PvsRateVector< TypeTag >::setEnthalpyRate | ( | const RhsEval & | rate | ) |

inline

Set an enthalpy rate [J/As] where .

If the energy equation is not enabled, this method is a no-op.

Parameters

  rate | The enthalpy rate in

## setMassRate()

template<class TypeTag>

void Opm::PvsRateVector< TypeTag >::setMassRate | ( | const ParentType & | value | ) |

inline

Set a mass rate of the conservation quantities.

Enthalpy is not taken into account seperately here. This means that it must be set to the desired value in the parameter.

Parameters

  value | The mass rate in (unit for areal fluxes)

## setMolarRate()

template<class TypeTag>

void Opm::PvsRateVector< TypeTag >::setMolarRate | ( | const ParentType & | value | ) |

inline

Set a molar rate of the conservation quantities.

Enthalpy is not taken into account seperately here. This means that it must be set to the desired value in the parameter.

Parameters

  value | The new molar rate in

## setVolumetricRate()

template<class TypeTag>
template<class FluidState, class RhsEval>

void Opm::PvsRateVector< TypeTag >::setVolumetricRate | ( | const FluidState & | fluidState,
|  | unsigned | phaseIdx,
|  | const RhsEval & | volume )

inline

Set a volumetric rate of a phase.

The enthalpy transported into the domain is taken into account by this method.

Parameters

  fluidState | The thermodynamic state of the fluids which should be considered. The density and the composition of the considered phase must be specified before calling this method.
  phaseIdx | The index of the fluid phase for which the given amount of volume should be specified.
  volume | The volumetric rate of the fluid phase in (unit for areal fluxes)

The documentation for this class was generated from the following file:

- opm/models/pvs/pvsratevector.hh